JobSub - Bug #10918

bug in dag generation
11/12/2015 11:57 AM - Dennis Box

Status: Closed Start date: 11/12/2015
Priority: Normal Due date:

Assignee: Parag Mhashilkar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: v1.1.9 Spent time: 0.00 hour
First Occurred: Stakeholders:

Occurs In:

Description

See INC000000625039

Recently there was an upgrade to dags which MINERVA has been using quite successfully(Thanks!). We have found two cases

where we run into issues

Case 1 results in job0a, job0Ob and jobOc all running simultaneously:

<serial>
jobX
</serial>
<parallel>
<serial>
job0a
Jjob0b
jobOc
</serial>
</parallel>
<serial>
jobX
</serial>

Case 2 results in jobs (0,1,2) being submitted twice:

<serial>
jobX
</serial>
<parallel>
job0

jobl

job2
</parallel>
<serial>
jobX
</serial>

History

#1 - 11/12/2015 11:59 AM - Dennis Box

- Target version set to v1.1.9

#2 - 12/01/2015 02:04 PM - Dennis Box
- Status changed from New to Feedback

- Assignee changed from Dennis Box to Parag Mhashilkar

see branch 10918. Minor changes to make a complete search the of the xml tree and filter out duplicate searches.
#3 - 01/08/2016 05:14 PM - Dennis Box
- Status changed from Feedback to Closed
